Subject: [bug#56186] [PATCH] gnu: Update python-deepdish package definition.

From: Antero Mejr <[email-masked]>
Date: Mon, 1 Aug 2022 15:34:39 -0400

* gnu/packages/python-science.scm (python-deepdish): Move code patch
to source snippet.
---
 gnu/packages/python-science.scm | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/python-science.scm b/gnu/packages/python-science.scm
index 57c9325f49..905de853e0 100644
--- a/gnu/packages/python-science.scm
+++ b/gnu/packages/python-science.scm
@@ -1377,19 +1377,15 @@ (define-public python-deepdish
               (uri (pypi-uri "deepdish" version))
               (sha256
                (base32
-                "1wqzwh3y0mjdyba5kfbvlamn561d3afz50zi712c7klkysz3mzva"))))
-    (arguments
-     (list #:phases #~(modify-phases %standard-phases
-                        (add-after 'unpack 'dont-vendor-six
-                          (lambda _
-                            (delete-file "deepdish/six.py")
-                            (substitute* "deepdish/io/hdf5io.py"
-                              (("from deepdish import six") "import six"))
-                            (substitute* "deepdish/io/ls.py"
-                              (("from deepdish import io, six, __version__")
-                               "from deepdish import io, __version__
-import six
-")))))))
+                "1wqzwh3y0mjdyba5kfbvlamn561d3afz50zi712c7klkysz3mzva"))
+              (modules '((guix build utils)))
+              (snippet #~(begin (delete-file "deepdish/six.py")
+                                (substitute* "deepdish/io/hdf5io.py"
+                                  (("from deepdish import six") "import six"))
+                                (substitute* "deepdish/io/ls.py"
+                                  (("from deepdish import io, six, __version__")
+                                   "from deepdish import io, __version__
+import six"))))))
     (build-system python-build-system)
     (native-inputs (list python-pandas))
     (propagated-inputs (list python-numpy python-scipy python-six
-- 
2.37.1